Subject: MacMS compatibility with IMAP2bis

From: Mark Crispin <[email-masked]>
Date: Thu, 4 Nov 1993 14:51:42 -0800 (PST)

If all goes well, the next version of the IMAP toolkit will include an imapd
that fully supports MacMS, including MacMS' interpretation of the proper
behavior of the COPY command.

The problem is that MacMS depends upon an older interpretation of the meaning
of a COPY command in IMAP2, one that automatically creates a non-existant
mailbox instead of giving an error.

MacMS uses an undocumented command to trigger special behavior in an IMAP
server.  I believe I have written the special code that is based upon this
trigger that will automatically create non-existant mailboxes when you try to
copy to another mailbox (I've asked SUMEX to check it out to be sure that
interoperability has been achieved).

Unless this undocumented MacMS-only command is used, the IMAP server will do
the correct IMAP2bis interpretation of COPY.

The behavior of the IMAP2bis APPEND command is not changed.  If MacMS is
changed to use APPEND, it can be changed to conform to IMAP2bis...  ;-)

-- Mark --